#### 4.1.63.2 command-line_options

In addition to the X Toolkit options, the following options may be specified on the command line when starting ‘gnuplot‘ or as resources in your ".Xdefaults" file (note that raise and ‘persist‘ can be overridden later by ‘set term x11 [no]raise [no]persist)‘:

     `-mono`     forces monochrome rendering on color displays.
     `-gray`     requests grayscale rendering on grayscale or color displays.
                 (Grayscale displays receive monochrome rendering by default.)
     `-clear`    requests that the window be cleared momentarily before a
                 new plot is displayed.
     `-tvtwm`    requests that geometry specifications for position of the
                 window be made relative to the currently displayed portion
                 of the virtual root.
     `-raise`    raises plot window after each plot
     `-noraise`  does not raise plot window after each plot
     `-noevents` does not process mouse and key events
     `-ctrlq   ` closes window on ctrl-q rather than q
     `-persist`  plot windows survive after main gnuplot program exits

The options are shown above in their command-line syntax. When entered as resources in ".Xdefaults", they require a different syntax.

Example:

          gnuplot*gray:  on
          gnuplot*ctrlq: on

‘gnuplot‘ also provides a command line option (‘-pointsize <v>‘) and a resource, ‘gnuplot*pointsize: <v>‘, to control the size of points plotted with the ‘points‘ plotting style. The value ‘v‘ is a real number (greater than 0 and less than or equal to ten) used as a scaling factor for point sizes. For example, ‘-pointsize 2‘ uses points twice the default size, and ‘-pointsize 0.5‘ uses points half the normal size.

The ‘-noevents‘ switch disables all mouse and key event processing (except for ‘q‘ and ‘<space>‘ for closing the window). This is useful for programs which use the x11 driver independent of the gnuplot main program.

The ‘-ctrlq‘ switch changes the hot-key that closes a plot window from ‘q‘ to ‘<ctrl>q‘. This is useful is you are using the keystroke-capture feature ‘pause mouse keystroke‘, since it allows the character ‘q‘ to be captured just as all other alphanumeric characters. The ‘-ctrlq‘ switch similarly replaces the <space> hot-key with <ctrl><space> for the same reason.